Subject: Re: bug#76167: 31.0.50; view-mode un-expected jump-overs

From: Tomas Nordin <[email-masked]>
Date: Thu, 06 Mar 2025 18:26:38 +0000

Stefan Kangas <[email-masked]> writes:

> Tomas Nordin <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> Eli Zaretskii <[email-masked]> writes:
>>>
>>>> I don't use view-mode that much, so I don't have an opinion on this
>>>> behavior change.  Could people who use view-mode please chime in and
>>>> voice their opinions?
>>>
>>> I agree that it just looks like a bug.  It does seem strange that we
>>> didn't catch it before.
>>
>> My estimation is that it was a mistake not discovered because matches
>> are rarely expected on every line in combination with the mode not being
>> super popular (maybe).  I don't think that the behavior described
>> by the recipe was ever intended.
>
> Sounds plausible.
>
>> Attached is a patch amended with the bug number.
>
> Thanks!  If no one objects within a couple of days, I intend to push it
> to master.

Friendly ping to possible objectors.  A couple of days has passed and
installation of the patch might be near.